mbed_lstools.linux.MbedLsToolsLinuxGeneric Class Reference
Inheritance diagram for mbed_lstools.linux.MbedLsToolsLinuxGeneric:

## Public Member Functions

def | __init__ (self, **kwargs)
| ctor More...
def | find_candidates (self)
Public Member Functions inherited from mbed_lstools.lstools_base.MbedLsToolsBase
def | __init__ (self, list_unmounted=False, **kwargs)
def | list_mbeds_ext (self)
| Function adds extra information for each mbed device. More...
def | list_mbeds (self, fs_interaction=FSInteraction.BeforeFilter, filter_function=None, unique_names=False, read_details_txt=False)
def | mock_manufacture_id (self, mid, platform_name, oper='+')
| Replace (or add if manufacture id doesn't exist) entry in self.manufacture_ids. More...
def | list_manufacture_ids (self)
| Creates list of all available mappings for target_id -> Platform. More...
def | retarget_read (self)
| Load retarget data from local file. More...
def | retarget (self)
| Enable retargeting. More...
def | get_dummy_platform (self, platform_name)
| Returns simple dummy platform. More...
def | get_supported_platforms (self, device_type=None)
| Return a dictionary of supported target ids and the corresponding platform name. More...
def | list_platforms (self)
| Useful if you just want to know which platforms are currently available on the system. More...
def | list_platforms_ext (self)
| Useful if you just want to know how many platforms of each type are currently available on the system. More...
def | list_mbeds_by_targetid (self)
| Get information about mbeds with extended parameters/info included. More...
def | __str__ (self)
| Object to string casting. More...
def | get_string (self, border=False, header=True, padding_width=1, sortby='platform_name')
| Printing with some sql table like decorators. More...
def | get_json_data_from_file (self, json_spec_filename, verbose=False)
| Loads from file JSON formatted string to data structure. More...
def | get_htm_target_id (self, mount_point)
def | get_mbed_htm (self, mount_point)
def | get_mbed_htm_comment_section_ver_build (self, line)
def | get_mbed_htm_lines (self, mount_point)
def | get_details_txt (self, mount_point)
def | parse_details_txt (self, lines)
def | scan_html_line_for_target_id (self, line)
def | mount_point_ready (self, path)
| Check if a mount point is ready for file operations. More...

## Public Attributes

| nlp
| mmp
| udp
Public Attributes inherited from mbed_lstools.lstools_base.MbedLsToolsBase
| retarget_data
| plat_db
| list_unmounted
| dummy_counter

## Additional Inherited Members

Static Public Member Functions inherited from mbed_lstools.lstools_base.MbedLsToolsBase
def | run_cli_process (cmd, shell=True)
Static Public Attributes inherited from mbed_lstools.lstools_base.MbedLsToolsBase
list | os_supported = []
| HOME_DIR = expanduser("~")
string | MOCK_FILE_NAME = '.mbedls-mock'
string | RETARGET_FILE_NAME = 'mbedls.json'
string | DETAILS_TXT_NAME = 'DETAILS.TXT'
string | MBED_HTM_NAME = 'mbed.htm'
dictionary | VENDOR_ID_DEVICE_TYPE_MAP

## Detailed Description

     mbed-enabled platform for Linux with udev

Definition at line 39 of file linux.py.

## Constructor & Destructor Documentation

## __init__()

def mbed_lstools.linux.MbedLsToolsLinuxGeneric.__init__ | ( |  | self,
|  | ** | kwargs
| ) |  |

ctor

Definition at line 42 of file linux.py.

## Member Function Documentation

## find_candidates()

def mbed_lstools.linux.MbedLsToolsLinuxGeneric.find_candidates | ( |  | self | ) |

    Find all candidate devices connected to this computer

    Note: Should not open any files

    @return A dict with the keys 'mount_point', 'serial_port' and 'target_id_usb_id'

Reimplemented from mbed_lstools.lstools_base.MbedLsToolsBase.

Definition at line 52 of file linux.py.

## Member Data Documentation

## mmp

mbed_lstools.linux.MbedLsToolsLinuxGeneric.mmp

Definition at line 48 of file linux.py.

## nlp

mbed_lstools.linux.MbedLsToolsLinuxGeneric.nlp

Definition at line 46 of file linux.py.

## udp

mbed_lstools.linux.MbedLsToolsLinuxGeneric.udp

Definition at line 50 of file linux.py.

The documentation for this class was generated from the following file:

- mbed_lstools/linux.py